< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package customs
  Definition Classes
    hmrc
-  package api
  Definition Classes
    customs
-  package common
  Definition Classes
    api
-  package controllers
  Definition Classes
    common
-  package dynamicservice
  Definition Classes
    controllers
-  package javascript
  Definition Classes
    controllers
- DocumentationController
- ErrorResponse
- HttpStatusCodeShortDescriptions
- ResponseContents
- ReverseDocumentationController
- routes

o

uk.gov.hmrc.customs.api.common.controllers

# ErrorResponse 

###
Companion class ErrorResponse

#### object ErrorResponse extends HttpStatusCodeShortDescriptions with Serializable

Linear Supertypes
Serializable, Serializable, HttpStatusCodeShortDescriptions, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ErrorResponse
2. Serializable
3. Serializable
4. HttpStatusCodeShortDescriptions
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val AcceptedCode: String
   Definition Classes
     HttpStatusCodeShortDescriptions
5.  val BadGateway: String
   Definition Classes
     HttpStatusCodeShortDescriptions
6.  val BadRequestCode: String
   Definition Classes
     HttpStatusCodeShortDescriptions
7.  val CreatedCode: String
   Definition Classes
     HttpStatusCodeShortDescriptions
8.  val ErrorAcceptHeaderInvalid: ErrorResponse
9.  val ErrorContentTypeHeaderInvalid: ErrorResponse
10.  val ErrorGenericBadRequest: ErrorResponse
11.  val ErrorInternalServerError: ErrorResponse
12.  val ErrorInvalidPayload: ErrorResponse
13.  val ErrorNotFound: ErrorResponse
14.  val ErrorUnauthorized: ErrorResponse
15.  val ForbiddenCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
16.  val InternalServerErrorCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
17.  val MethodNotAllowedCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
18.  val NotAcceptableCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
19.  val NotFoundCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
20.  val NotImplemented: String
    Definition Classes
      HttpStatusCodeShortDescriptions
21.  val OkCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
22.  val ServiceUnavailable: String
    Definition Classes
      HttpStatusCodeShortDescriptions
23.  val UnauthorizedCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
24.  val UnsupportedMediaTypeCode: String
    Definition Classes
      HttpStatusCodeShortDescriptions
25.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
26.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
27.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
28.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
29.  def errorBadRequest(errorMessage: String, errorCode: String = BadRequestCode): ErrorResponse
30.  def errorInternalServerError(errorMessage: String): ErrorResponse
31.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
32.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
33.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
34.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
35.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
36.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
37.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
38.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from Serializable

### Inherited from HttpStatusCodeShortDescriptions

### Inherited from AnyRef

### Inherited from Any

### Ungrouped